Bug 212779 - Can't log into a new session
Can't log into a new session
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-28 20:42 EDT by Kim Lux
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6-update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-06 12:25:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2006-10-28 20:42:48 EDT
Description of problem:

After ending a successful session, users can't log in again. 

Version-Release number of selected component (if applicable):

$ /usr/sbin/gdm --version
GDM 2.16.0

How reproducible:

Every time.

Steps to Reproduce:
1. Boot FC6.   Log into a session. End the session normally. 
2. When the login screen appears place the cursor in the username box on the 
remote login screen. Attempt to type in the username for the next session.
Actual results:
Text doesn't type into the username box.  User can't log in.

Expected results:
Text should type into the user namebox.  User can log in.

Additional info:

The login splash screen appears correctly. The mouse works correctly.  One can 
click in either the username or the password text boxes.  I believe they get 
focus, ie they get a blinking cursor.  But typing on the keyboard doesn't put 
text in them.  

One can restart the computer using the mouse and selecting 
menu->shutdown->restart.  Restarting is the only way I've found to begin a new 

No errors are reported during the shutdown process and the shutdown doesn't 
take long or anything.

I'm using a USB wireless keyboard, but text typed on the laptop keyboard 
doesn't enter either. 

I am unable to start a new session with CTR-ALT F8 or any other terminal. 

Let me know if you need any other info.
Comment 1 Kim Lux 2006-10-30 10:10:38 EST
Here is an additional tidbit.  This doesn't just happen when starting a second 
session.   It also happens on the first login if I start the computer and 
don't log in for say 20 minutes.  Exact same symptoms.  
Comment 2 Ray Strode [halfline] 2006-10-30 12:08:02 EST
are you using GDM, KDM, or XDM?

Note GDM doesn't have separate text boxes for username and password.
Comment 3 Kim Lux 2006-10-30 15:33:59 EST
How do I tell ? 

BTW: Other people on the fedora-list mailing list have the same issue. 

Comment 4 Marcelo 2006-10-31 08:07:13 EST
I have the same problem here in several FC6 boxes. However, I'm using KDM and
not GDM. Using GDM the problem does not happen with me. This problem happens
very, very often, but not 100% of the time
In the very few times when the keyboard does not get locked when I logout and, I
can login and logout several times without it being locked. The problem reapears
after the machine is rebooted.
Comment 5 Matthias Clasen 2006-10-31 12:02:59 EST
> How do I tell ?


ps ax | grep gdm
Comment 6 Kim Lux 2006-10-31 19:12:06 EST
$ ps ax |grep gdm
21049 pts/1    S+     0:00 grep gdm
$ ps ax | grep kdm
 2743 ?        S      0:00 /usr/bin/kdm -nodaemon
21051 pts/1    S+     0:00 grep kdm

I guess I run kdm.  I didn't realize it ran all the time.  I though only when
one was logged out. 
Comment 7 Kim Lux 2006-11-05 12:11:10 EST
This appears to be fixed now, at least for me.  I heard a rumor that rhgb was 
part of the problem and I saw an update of rhgb get installed with 'yum 
update', so maybe that fixed the issue. 
Comment 8 Ngo Than 2006-11-06 12:25:41 EST
the previous version of rhgb had some problem, it could cause such problem.
with current FC6-update, i cannot reproduce the above issue.

Note You need to log in before you can comment on or make changes to this bug.